Option Strict Off
Option Explicit On
Module Execl2Acad
	
Public Sub Main()
	Dim xAP As Excel.Application
	Dim xWB As Excel.Workbook
	Dim xWS As Excel.Worksheet
    xAP = CreateObject("Excel.Application")
	xWB = xAP.Workbooks.Open("C:\A2K2_VBA\IUnknown.xls")
    xWS = xWB.Worksheets("Sheet1")
    MsgBox("Excel says: """ & xWS.Cells(1, 1).text & """")

    Dim A2K As AutoCAD.AcadApplication
    On Error Resume Next
    A2K = GetObject(, "AutoCAD.Application")
    If Err.Number <> 0 Then
        Err.Clear()
        A2K = CreateObject("AutoCAD.Application")
        If Err.Number <> 0 Then
            MsgBox(Err.Number)
            Exit Sub
        End If
    End If
    MsgBox(A2K.Name & " version " & A2K.Version & " is running.")

    Dim A2KDwg As AutoCAD.AcadDocument
    A2KDwg = A2K.ActiveDocument

    Dim Height As Double
    Dim P(2) As Double
    Dim TxtObj As AutoCAD.AcadText
    Dim TxtStr As String
    Height = 1
    P(0) = 1 : P(1) = 1 : P(2) = 0
    TxtStr = ExcelGlobal_definst.Cells(1, 1).text
    TxtObj = A2KDwg.ModelSpace.AddText(TxtStr, P, Height)
    TxtObj = Nothing

    A2KDwg.SaveAs("C:\A2K2_VBA\IUnknown.dwg")
    A2K.ActiveDocument.Close()
    A2K.Application.Visible = True
    A2K.Quit()
    A2KDwg = Nothing
    A2K = Nothing

    xAP.Workbooks.Close()
    xAP = Nothing
End Sub
End Module